PUT
URI:
- /api/v1/user/[id]
Input fields:
| Field Name | Type | Required |
Description |
|---|---|---|---|
|
id |
string |
No |
The user ID. |
|
username |
string |
No |
The user's username. |
|
|
string |
No |
The user's email address, which can be up to 80 characters in length. |
|
mobile_number |
string |
No |
The user's mobile phone number. |
|
activation_code |
boolean |
No |
Whether to skip token migration notification. |
|
dst_user_id |
string |
No |
The base user's ID. |
|
is_refid |
boolean |
No |
Whether it is a userref ID. |
|
change_token |
boolean |
No |
Whether the user wants to change one-time password. |
|
active |
boolean |
No |
Whether the user is active. |
|
bypass |
boolean |
No |
Whether to bypass the user. |
|
lockout |
boolean |
No |
Whether to lock out the user. |
|
user_data |
integer |
No |
User type, which can be either of the following:
|
|
auth_method |
string |
No |
The authentication method, which can be one of the following:
|
|
notification_method |
string |
No |
Supported notification method, which can be either of the following:
|
| brief | boolean | No | The API response only includes the mobile_number, username, email, vdom, realm, id, user_data if brief=True. |
| case_accent_sensitive | boolean | No | Whether the username is case-sensitive. |
Successful response fields:
| Field name | Type | Description |
|---|---|---|
| customer_id | string | The customer ID. |
| client_id | string | The client ID. |
| user_id | string | The user ID. |
| notification_method | string |
Supported notification method, which can be either of:
|
| auth_method | string |
The authentication method, which can be one of the following:
|
| username | string | The user's username. |
| id | string | The userref ID. |
| realm_id | string | The realm ID. |
|
mobile_number |
string |
The user's mobile phone number. |
|
|
string |
The user's email address. |
|
active |
boolean |
Whether the user is active. |
|
created_at |
string |
The timestamp when the user was created. |
|
updated_at |
string |
The timestamp when the user was last updated. |
|
bypass_at |
string |
The timestamp when the user was bypassed. |
|
lockout_at |
string |
The timestamp when the user was locked out. |
|
fail_times |
integer |
The failed attempts of user login validation. |
|
temp_token |
boolean |
Whether temporary token is enabled for the user. |
|
user_data |
integer |
User type, which can be either of
|
Response codes:
| Code | Response content | Description |
|---|---|---|
| 202 OK | User info has been updated. | |
| 400 Bad Request |
|
|
| 403 Forbidden |
|
|
| 404 Not Found | User does not exist. | |
| 409 Conflict | application has been locked from adding user due to a pending task. | |
| 424 Dependency | You cannot remove Alias from user when auto alias is enabled. |
Example request body:
{
"change_token": True
}
Example of successful response body:
{
"auth_method":"FTM",
"client_id":"12345678-abcd-efgh-1234-xxxxxxxxxxxx",
"created_at":"2020-02-02T02:22:22",
"customer_id":"123456",
"email":"abc@fortinet.com",
"user_data":0,
"id":"12345678-abcd-efgh-1234-xxxxxxxxxxxx",
"lockout_at": None,
"mobile_number":"1123456789",
"notification_method":"Email",
"user_id":"12345678-abcd-efgh-1234-xxxxxxxxxxxx",
"realm_id":"12345678-abcd-efgh-1234-xxxxxxxxxxxx",
"username":"abc",
"updated_at": None,
"active":true,
"temp_token":false,
"bypass_at": None,
"fail_times":0
}